$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.365-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.365-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C15BEDA2885BD0F6E709FC93B35ACEB80E2ECF87ADAE5EDFE4A97B6C76B9FCFF'
  checksumType = 'sha256'
  checksum64 = 'C15BEDA2885BD0F6E709FC93B35ACEB80E2ECF87ADAE5EDFE4A97B6C76B9FCFF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.365-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
